Minova ERP Internal - Feature #2597

REMOTE: DOCTYPE SETTING
02/20/2024 09:43 AM - jihad ...

Status: Closed Start date: 02/20/2024
Priority: Normal Due date:

Assignee: jihad .... % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Mba Yoma,

ingin disetting tampilan tab berdasarkan doctype, udah aku buat dan isi juga doctype di PCMBSTRANSLIST
WIN-6PEHSTRPCM.. PCMBSTRANSLIST # [T e T R B IN-6PEHSTRPC...MBSTRANSHEADER %

Connect~ ¥ *¥ ¢ WIN-GPEHSTRPCM. .0.PCMBSDOCTYPE #
@ 252517566 (50L Server 12060240 - s2) . TransType DacType TableMame Title Sequence LayoutType Customlayout  Mates CreateBy ~
=] a remote.minovais.com, 1442 (SOL Server 12.0.6024.0 ASTM ASTO PTRASTMAINITEM Asset [tem 1 Loo7 LO01=Form Onl... minovais
£ ¥ Databases ASTM ASTR PTRASTMAINITEM Asset ltem 1 Loo7 LO01=Form Onl... minovais
System Databases ASTU uTio PTRASTUTILITEM Asset Utilizatio... 1 Loo7 LO01=Form Onl... minovais
Database Snapshots - )
@ cnaf ASTU UTIR PTRASTUTILITEM Asset Utilizatio... 1 Lo07 LO01=Form Onl... minovais
8 Minovas_Arits_Dev DLy BAST PTREASTDETAILCOMP Detail Company 1 Loo7 LO01=Form Onl... minovais
8 MinovaES Bank Kalteng Dev DLy BAST PTREASTDETAILVEN Detail Vendar 2 Lo07 L001=Farm Onl... minovais
W MinovaES_BankMegaSyariah_Dev DLV BAST PTREASTNOTES Notes 4 Loo7 L001=Form Onl... minovais
u Minova€S_BIA Dev DLV BAST PTRPURCHITEM Purchase ltem 3 Loo7 L001=Form Onl... minovais
@ MinovaES_BlA_Dev_buatazid
@ MinovaES_BWS Dev DLv2 TEST PTROELIVERYHEAD Outbound Deli... 3 LODG L001=Farm Onl... minovais
o @ MinovaEs_Demo DIVR. TEST PTRDELIVERYITEM Delivery 1 LODG LO01=Form Onl... minovais
Database Diagrams DLVR. TEST PTRDELIVERYROUTE Delivery Route 2 L00G L001=Form Onl.. minovais
B W Tables (fitered) FIN AP PTRFINANCEITEM Finance ltem 1 Loo7 LO01=Form Onl... minovais
System Tables .
§ FIN AP PTRFINAPPROVAL Approval 10 LODG L001=Form Onl... mingvais
FileTables

Port: remote 61124
db: 1442

Terima Kasih

History

#1 - 02/20/2024 10:10 AM - Tri Rizqiaty

- File clipboard-202402201009-j9kez.png added
- File MinovaXtype.js added

- Status changed from New to Developing
Fixing :

Update folder Ul\scripts\MinovaXtype.js
17850 E] initComwponent: function () {
17951 rar me = this;
17952 var documentType = me.docType:
17953 var transactionType = me.transType:
17554 rar hasil = null:
17955 rar _items = []:
173956 var formimage = undefined:
17857 E] Ext.ijax.regquest{{
173958 async: false,
17959 method: 'FPOET',
173960 url: '/UsertControl/GetStore',
17961 E] params: {
17962 tableMName: 'PCHESTRANZLIST'
17863 param: 'TransTyps[=]' + me.transTypel+ ', + 'DocTlype[=]' + me.docType /¢ add Tri nwh 20240220
17964 ¥,
17965 B success: function {(response) {
17966 var results = Ext.decode{response.responseText);
17367 hasil = results.data;
17965 }
17969 1
17870 hasil = hasil.sort{Minovaltil.3SortBy{ "Secquence”)) /]
17971 if (hasil.length > 0} {
17972 Ext.each{hasil, function {(rec) {
17873 if{rec. TabhleNawe=="FTRFRODUCTIONHE D™} {
17974 rec.LabelName=rec. Title;
[Find result - [4 hits)

Search "PCMBSTRAHSLIST" (4 hits in 1 file of 1 searched)
E:\APP\EKJL\UI\scripts\MinovaXtype.js (4 hits)

Line 17982: tableNamwe: 'PCHESTRANSLIST!,
Line 18946: tableMame: "PCMESTRANILISTY,
Line 19971: tableNawe: "PCHESTRANSLIST',
Line 22373: tableMawe: 'FCHESTRANILIST',

[+/Search "url: 'fUserControlfGetStore'," (246 hits in 1 file of 1 searched)

[+/Search "PCMBSTRANSLIST" (4 hitg in 1 file of 1 searched)

[+/Search "GetReferenceDoc" {2 hits in 1 file of 1 searched}

#2 - 02/20/2024 10:10 AM - Tri Rizgiaty
- Status changed from Developing to QA Test
- Assignee changed from Tri Rizqiaty to jihad ....

#3 - 02/29/2024 10:06 AM - jihad ....
- Status changed from QA Test to Closed

Files

clipboard-202402200943-gdupu.png 75.9 KB 02/20/2024 jihad ....

clipboard-202402201009-j9kez.png 28.8 KB 02/20/2024 Tri Rizqiaty

MinovaXtype.js 1.39 MB 02/20/2024 Tri Rizqiaty
